<h1 mat-dialog-title>
  {{ data.mode[0].toUpperCase() + data.mode.substring(1) }} author
</h1>
<form [formGroup]="form">
  <input hidden formControlName="id" />
  <mat-form-field>
    <mat-label>First Name</mat-label>
    <input matInput formControlName="firstName" />
  </mat-form-field>
  <mat-form-field>
    <mat-label>Last Name</mat-label>
    <input matInput formControlName="lastName" />
  </mat-form-field>
  <div mat-dialog-actions>
    <button mat-button mat-dialog-close>Cancel</button>
    <button
      mat-button
      mat-dialog-close
      cdkFocusInitial
      (click)="data.mode === 'add' ? add() : edit()"
    >
      Ok
    </button>
  </div>
</form>
